package main

import (
	"log"

	"git.trj.tw/golang/go-ddns-client/module/config"
	"git.trj.tw/golang/go-ddns-client/module/ddns"
	"git.trj.tw/golang/go-ddns-client/module/option"
)

func init() {
	option.RegOptions()
}

func main() {
	var err error
	opts := option.GetOptions()

	err = config.LoadConfig(opts.Config)
	if err != nil {
		log.Fatal(err)
	}

	data, err := ddns.GetDNSSetting()
	if err != nil {
		log.Fatal(err)
	}

	if len(data.V4) > 0 {
		if err = ddns.SendRequest(true, data.V4); err != nil {
			log.Fatal(err)
		}
	}
	if len(data.V6) > 0 {
		if err = ddns.SendRequest(false, data.V6); err != nil {
			log.Fatal(err)
		}
	}
}
